## Class TFileCacheDependency

Description

TFileCacheDependency class.

TFileCacheDependency performs dependency checking based on the last modification time of the file specified via FileName. The dependency is reported as unchanged if and only if the file's last modification time remains unchanged.

- since: 3.1.0
- version: $Id: TCache.php 2362 2008-01-10 04:59:06Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Caching/TCache.php (line 331)

    TComponent
       |
       --TCacheDependency
          |
          --TFileCacheDependency

Method Summary
TFileCacheDependency __construct (string $fileName)
string getFileName ()
boolean getHasChanged ()
int getTimestamp ()
void setFileName (string $value)
Methods
Constructor __construct (line 340)

Constructor.

- access: public

TFileCacheDependency __construct (string $fileName)

- string $fileName: name of the file whose change is to be checked.

getFileName (line 348)

- return: the name of the file whose change is to be checked
- access: public

string getFileName ()
getHasChanged (line 375)

Performs the actual dependency checking.

This method returns true if the last modification time of the file is changed.

- return: whether the dependency is changed or not.
- access: public

boolean getHasChanged ()
getTimestamp (line 365)

- return: the last modification time of the file
- access: public

int getTimestamp ()
setFileName (line 356)

- access: public

void setFileName (string $value)

- string $value: the name of the file whose change is to be checked

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:32:05 -0400 by phpDocumentor 1.3.0RC4